using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Chart;

namespace SampleCrashOnAutomaticInterval
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            //chartControl1
            //Initalize date time,zoom
            DateTime moreRecentDate = DateTime.Now.Add(new TimeSpan(1, 0, 0, 0)).Date;
            DateTime moreOldDate = DateTime.Now.AddHours(-200);

            DateTime moreOldShowDate = moreRecentDate.Subtract(new TimeSpan(2, 0, 0, 0)).Date;
            double deltaAll = moreRecentDate.ToOADate() - moreOldDate.ToOADate();
            double deltaShws = moreRecentDate.ToOADate() - moreOldShowDate.ToOADate();

            chartControl1.PrimaryXAxis.RangePaddingType = ChartAxisRangePaddingType.None;
            chartControl1.PrimaryXAxis.RangeType = ChartAxisRangeType.Auto;
            
            chartControl1.PrimaryXAxis.DateTimeRange = new ChartDateTimeRange(moreOldDate, moreRecentDate, 12, ChartDateTimeIntervalType.Auto);
//            chartControl1.PrimaryXAxis.DateTimeRange = new ChartDateTimeRange(moreOldDate, moreRecentDate, 12, ChartDateTimeIntervalType.Hours);

            chartControl1.ZoomFactorX = deltaShws / deltaAll;
            chartControl1.ZoomPositionX = moreOldShowDate.ToOADate() * chartControl1.ZoomFactorX;

        }
    }
}